// pages/pianoList/pianoList.js
const app = getApp()
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [
    ],
    loading: '上拉加载',
    flag: 0,
    pageNum: 0,
    hasNextPage: true,
  },

  getCard: function (e) {
    let item = this.data.list[e.currentTarget.dataset.index]
    wx.navigateTo({
      url: '/pages/pianoDetail/pianoDetail?data=' + JSON.stringify(item),
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.queryList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    if (this.data.hasNextPage) {
      let pn = this.data.pageNum
      this.setData({ loading: '加载中', 'pageNum': ++pn })
      this.queryList()
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  queryList: function () {
    const urls = urlDef.urls;
    let stu = wx.getStorageSync('student');
    if (stu) {
      let params = {'q.status':1}
      params.pageNum = this.data.pageNum
      util.apiPost(urls.get_piano_card_list, params).then(rs => {
        let list = rs.list
        list.map(o => {
          if (o.imgUrl == null || o.imgUrl == undefined) {
            o.imgUrl = urls.oss_file + 'image/0e02f9fc-1d41-4551-a150-b1be8196b49d.jpg'
          }
        })
        this.setData({
          'hasNextPage': rs.hasNextPage,
          'loading': rs.hasNextPage ? '下拉刷新' : '没有更多数据',
          'list': this.data.list.concat(list)
        })
      })
    }
  }
})