// pages/demo/demo.js
import VODUpload from '../../utils/aliyun-upload-sdk-1.0.1.min'
const app = getApp()
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")

const recordManager = wx.getRecorderManager()
const audio = wx.createInnerAudioContext()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    height: 0,
    animation: {},
    left: 750
  },

  takePhoto() {
    const ctx = wx.createCameraContext()
    ctx.takePhoto({
      quality: 'high',
      success: (res) => {
        console.log(res.tempImagePath)
      },
      error(e) {
        console.log(e.detail)
      }
    })
  },
  scanCode:function(e){
    console.log(JSON.stringify(e))
  },

  closeCamera:function(){
    this.animation = wx.createAnimation({
      timingFunction: 'linear',
      duration: 500
    })
    const left = 750

    this.animation.translateX(left).step()
    this.setData({
      animation:this.animation.export()
    })
  },

  showCamera:function(){
    this.animation = wx.createAnimation({
      timingFunction: 'linear',
      duration: 500
    })
    const left = 0
    this.animation.translateX(left).step()
    this.setData({
      animation:this.animation.export(),
    })
  },
 

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  

    wx.getSystemInfo({
      success: (result) => {
        this.setData({
          height: result.windowHeight
        })
      },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})